<testsuites>
  <!--Report is generated by Rally 1.5.1 at 2021-02-12T14:20:06-->
  <testsuite errors="0" failures="0" id="a013e5c2-cc6a-4e96-8d88-658ec51e6715" skipped="0" tests="6" time="34.00" timestamp="2021-02-12T14:01:54">
    <testcase classname="Authenticate" id="69feb2c9-8ba7-44f2-8a5b-2a39d2434c0f" name="keystone" time="3.23" timestamp="2021-02-12T14:01:59" />
    <testcase classname="Authenticate" id="113eb307-bf91-4225-9194-296aa30beabe" name="validate_cinder" time="6.25" timestamp="2021-02-12T14:02:03" />
    <testcase classname="Authenticate" id="2d72e79d-af7a-48a4-b161-004c216a9495" name="validate_glance" time="3.31" timestamp="2021-02-12T14:02:11" />
    <testcase classname="Authenticate" id="79418445-00ef-493d-9ed7-4f930db80c72" name="validate_heat" time="2.88" timestamp="2021-02-12T14:02:15" />
    <testcase classname="Authenticate" id="a9105a34-74ce-40a0-89cf-b3fd7dfdf47f" name="validate_neutron" time="2.92" timestamp="2021-02-12T14:02:19" />
    <testcase classname="Authenticate" id="b3a5e85c-f7fd-4063-865b-d12d4a87215b" name="validate_nova" time="2.81" timestamp="2021-02-12T14:02:23" />
  </testsuite>
  <testsuite errors="0" failures="0" id="f6b773ba-1c8a-490c-afc0-2d3cecfe02f6" skipped="0" tests="4" time="57.00" timestamp="2021-02-12T14:02:38">
    <testcase classname="GlanceImages" id="961acf1e-72a6-41c1-be5a-5464069c8e2f" name="create_and_delete_image" time="6.62" timestamp="2021-02-12T14:02:45" />
    <testcase classname="GlanceImages" id="e8045d22-2dd8-4be1-a34a-9770ca631f4c" name="create_and_list_image" time="7.46" timestamp="2021-02-12T14:02:53" />
    <testcase classname="GlanceImages" id="dff98749-c57e-423a-ac06-2ed4986243d6" name="list_images" time="2.86" timestamp="2021-02-12T14:03:01" />
    <testcase classname="GlanceImages" id="cf4278c4-0e42-4d55-b2b0-a014ea0c662f" name="create_image_and_boot_instances" time="28.81" timestamp="2021-02-12T14:03:05" />
  </testsuite>
  <testsuite errors="0" failures="0" id="e5b0d333-3aee-479a-a9c5-f362b9235ccd" skipped="0" tests="10" time="108.00" timestamp="2021-02-12T14:03:46">
    <testcase classname="CinderVolumes" id="5470d65a-8891-4a36-afb5-4c23f644ea98" name="create_and_delete_snapshot" time="13.50" timestamp="2021-02-12T14:03:51" />
    <testcase classname="CinderVolumes" id="87265634-30cc-44ba-97aa-2b07573c6747" name="create_and_delete_volume" time="8.68" timestamp="2021-02-12T14:04:05" />
    <testcase classname="CinderVolumes" id="2d065971-5050-4b16-a597-954756514e4a" name="create_and_delete_volume" time="12.24" timestamp="2021-02-12T14:04:15" />
    <testcase classname="CinderVolumes" id="ccc6e557-b4dd-45a3-9416-32bf606c13f7" name="create_and_delete_volume" time="8.72" timestamp="2021-02-12T14:04:29" />
    <testcase classname="CinderVolumes" id="8fbd38f1-a23f-4a0d-ba6c-d559028face4" name="create_and_extend_volume" time="11.06" timestamp="2021-02-12T14:04:39" />
    <testcase classname="CinderVolumes" id="fbe15afb-e9d1-48ec-8b38-95542af8febf" name="create_from_volume_and_delete_volume" time="15.15" timestamp="2021-02-12T14:04:51" />
    <testcase classname="CinderQos" id="c1c324b8-9806-4313-b8c0-452e037115b0" name="create_and_list_qos" time="4.97" timestamp="2021-02-12T14:05:08" />
    <testcase classname="CinderQos" id="9fbc5e8b-9093-4be9-8c84-b4542105118b" name="create_and_set_qos" time="7.92" timestamp="2021-02-12T14:05:14" />
    <testcase classname="CinderVolumeTypes" id="994e96de-5a71-44c5-b292-59b0d764935e" name="create_and_list_volume_types" time="5.13" timestamp="2021-02-12T14:05:22" />
    <testcase classname="CinderVolumeTypes" id="ca6a4fe8-6504-4e04-9755-79af5a5eae0e" name="create_volume_type_and_encryption_type" time="5.44" timestamp="2021-02-12T14:05:28" />
  </testsuite>
  <testsuite errors="0" failures="0" id="a96f41d1-5402-4e06-983c-1da166999c07" skipped="0" tests="4" time="46.00" timestamp="2021-02-12T14:05:45">
    <testcase classname="HeatStacks" id="23507e3a-33a9-4564-a395-d982d32d6e81" name="create_update_delete_stack" time="11.79" timestamp="2021-02-12T14:05:52" />
    <testcase classname="HeatStacks" id="cabcb8a4-511a-43bb-8c25-f5f979eaa470" name="create_check_delete_stack" time="9.87" timestamp="2021-02-12T14:06:04" />
    <testcase classname="HeatStacks" id="162e874e-85ed-4f62-9684-f4c7d55000be" name="create_suspend_resume_delete_stack" time="9.44" timestamp="2021-02-12T14:06:15" />
    <testcase classname="HeatStacks" id="3fb7b6ad-5547-491e-872b-05631c3faf5f" name="list_stacks_and_resources" time="4.20" timestamp="2021-02-12T14:06:25" />
  </testsuite>
  <testsuite errors="0" failures="0" id="e9537979-2364-4477-887f-17d973fd0b87" skipped="0" tests="11" time="93.00" timestamp="2021-02-12T14:06:41">
    <testcase classname="KeystoneBasic" id="75cbe62f-15ab-4b94-9eef-70d24eff7e94" name="add_and_remove_user_role" time="6.60" timestamp="2021-02-12T14:06:47" />
    <testcase classname="KeystoneBasic" id="4eadb441-30e8-4b74-90b4-215a0ebb7f96" name="create_add_and_list_user_roles" time="7.03" timestamp="2021-02-12T14:06:55" />
    <testcase classname="KeystoneBasic" id="9336cf3f-5e21-4e4d-99e2-f9a4ef44bc7f" name="create_and_list_tenants" time="6.05" timestamp="2021-02-12T14:07:03" />
    <testcase classname="KeystoneBasic" id="b4b27aec-427f-4104-b24b-3645cd990367" name="create_and_delete_role" time="4.87" timestamp="2021-02-12T14:07:11" />
    <testcase classname="KeystoneBasic" id="a2133fb5-959e-405c-8ffa-f68d93151d9f" name="create_and_delete_service" time="4.44" timestamp="2021-02-12T14:07:17" />
    <testcase classname="KeystoneBasic" id="380281e5-6f81-4463-bead-96c2506b4f5d" name="get_entities" time="9.95" timestamp="2021-02-12T14:07:24" />
    <testcase classname="KeystoneBasic" id="cf1d9ecc-8874-4e81-9e1a-8b5590620c87" name="create_update_and_delete_tenant" time="4.31" timestamp="2021-02-12T14:07:34" />
    <testcase classname="KeystoneBasic" id="7dc51cf5-70ba-4b7b-a04f-117aac31ba2f" name="create_user" time="5.33" timestamp="2021-02-12T14:07:40" />
    <testcase classname="KeystoneBasic" id="d706b491-e4b9-4e19-a4be-b5093a96089d" name="create_tenant" time="5.33" timestamp="2021-02-12T14:07:46" />
    <testcase classname="KeystoneBasic" id="bb6c1a88-71ae-4d56-a87f-f10a495a4473" name="create_and_list_users" time="5.60" timestamp="2021-02-12T14:07:52" />
    <testcase classname="KeystoneBasic" id="c15bafa1-b4b3-4d0f-9870-3117303c2865" name="create_tenant_with_users" time="15.08" timestamp="2021-02-12T14:07:58" />
  </testsuite>
  <testsuite errors="0" failures="0" id="1bc8a749-57e4-442e-8951-0b3e577717ec" skipped="0" tests="11" time="195.00" timestamp="2021-02-12T14:08:26">
    <testcase classname="NeutronNetworks" id="6f04dec3-33b5-4b2a-a63b-1e2d8c4a2d23" name="create_and_delete_networks" time="10.42" timestamp="2021-02-12T14:08:31" />
    <testcase classname="NeutronNetworks" id="2fa1c00b-7435-4edb-b0ab-b70dead90fe8" name="create_and_delete_ports" time="17.40" timestamp="2021-02-12T14:08:43" />
    <testcase classname="NeutronNetworks" id="b458ba43-c3c9-423b-a751-47025d9e9a4b" name="create_and_delete_routers" time="20.27" timestamp="2021-02-12T14:09:01" />
    <testcase classname="NeutronNetworks" id="d0f3ceef-8c21-4b47-a277-dd30e5984c52" name="create_and_delete_subnets" time="13.05" timestamp="2021-02-12T14:09:23" />
    <testcase classname="NeutronNetworks" id="f3fd7cf2-e306-4f3a-847a-e11aa9017157" name="create_and_list_networks" time="7.82" timestamp="2021-02-12T14:09:37" />
    <testcase classname="NeutronNetworks" id="160f08e8-4500-4e74-9afc-a4d127497313" name="create_and_list_ports" time="17.61" timestamp="2021-02-12T14:09:46" />
    <testcase classname="NeutronNetworks" id="ac9be4d6-0444-42e4-9549-fafa95cf7c6e" name="create_and_list_routers" time="27.60" timestamp="2021-02-12T14:10:04" />
    <testcase classname="NeutronNetworks" id="88db1031-d249-4d23-a670-24a315aa3147" name="create_and_list_subnets" time="19.99" timestamp="2021-02-12T14:10:32" />
    <testcase classname="NeutronSecurityGroup" id="9b47fbaf-69df-440b-8d8c-a4592db3e4aa" name="create_and_delete_security_groups" time="10.02" timestamp="2021-02-12T14:10:52" />
    <testcase classname="NeutronSecurityGroup" id="309b98c3-cd2e-4234-9ed0-2f6ca9632e67" name="create_and_delete_security_group_rule" time="12.78" timestamp="2021-02-12T14:11:02" />
    <testcase classname="NeutronNetworks" id="6569d1f8-e67e-4109-900b-2f7266b15a87" name="set_and_clear_router_gateway" time="23.59" timestamp="2021-02-12T14:11:16" />
  </testsuite>
  <testsuite errors="0" failures="0" id="ad936b58-91f8-45e4-970d-dc4390a0a676" skipped="0" tests="10" time="394.00" timestamp="2021-02-12T14:11:51">
    <testcase classname="NovaServers" id="bf985868-772d-482e-af60-df869b721f9b" name="boot_and_live_migrate_server" time="32.69" timestamp="2021-02-12T14:12:03" />
    <testcase classname="NovaServers" id="ae6589b5-dfc9-4bf6-8966-324362e23ed2" name="boot_server_attach_created_volume_and_live_migrate" time="44.79" timestamp="2021-02-12T14:12:37" />
    <testcase classname="NovaServers" id="f6ddfc98-fb43-434f-bc6e-55356b2ee183" name="boot_server_from_volume_and_live_migrate" time="42.99" timestamp="2021-02-12T14:13:23" />
    <testcase classname="NovaKeypair" id="c49327bc-3bc7-4b89-88bd-86f76b8d1924" name="boot_and_delete_server_with_keypair" time="20.73" timestamp="2021-02-12T14:14:07" />
    <testcase classname="NovaServers" id="d8fc2f25-915b-49ac-a41e-0f05f6e3973e" name="boot_server_from_volume_and_delete" time="33.31" timestamp="2021-02-12T14:14:29" />
    <testcase classname="NovaServers" id="723876d1-b183-4ee5-b82e-b7ff1c1d074b" name="pause_and_unpause_server" time="24.74" timestamp="2021-02-12T14:15:04" />
    <testcase classname="NovaServers" id="d70cbd53-2c2f-4516-a4ff-cc27faaf43eb" name="boot_and_migrate_server" time="57.51" timestamp="2021-02-12T14:15:30" />
    <testcase classname="NovaServers" id="cb0d77ac-ed1e-4c3e-9a7e-6526f4140160" name="boot_server_and_list_interfaces" time="49.99" timestamp="2021-02-12T14:16:28" />
    <testcase classname="NovaServers" id="05c94e98-3f47-4c6b-9ce2-5741c331f809" name="boot_server_associate_and_dissociate_floating_ip" time="60.18" timestamp="2021-02-12T14:17:19" />
    <testcase classname="NovaServerGroups" id="db0bb9db-4ed8-4716-9307-a649b162fa24" name="create_and_delete_server_group" time="5.55" timestamp="2021-02-12T14:18:19" />
  </testsuite>
  <testsuite errors="0" failures="0" id="5e984438-47dc-4645-8a61-cc266a3476dd" skipped="0" tests="4" time="22.00" timestamp="2021-02-12T14:18:36">
    <testcase classname="Quotas" id="aa3ce0cf-b601-4cd3-ad67-31a6775c58d6" name="cinder_update_and_delete" time="3.20" timestamp="2021-02-12T14:18:40" />
    <testcase classname="Quotas" id="e23c7c17-0eab-42cb-9c57-fbad7fb7e2fa" name="cinder_update" time="3.70" timestamp="2021-02-12T14:18:44" />
    <testcase classname="Quotas" id="04603592-bc1d-4056-adf9-427d3e6d8c25" name="neutron_update" time="5.15" timestamp="2021-02-12T14:18:48" />
    <testcase classname="Quotas" id="e8616eda-5eef-458e-b08a-d3f35c9a597b" name="nova_update" time="3.49" timestamp="2021-02-12T14:18:54" />
  </testsuite>
  <testsuite errors="0" failures="0" id="f675b44d-e2ca-41a8-b02a-243212e99602" skipped="0" tests="5" time="43.00" timestamp="2021-02-12T14:19:08">
    <testcase classname="SwiftObjects" id="e217a702-5036-4622-85a1-12c4425f3c1b" name="create_container_and_object_then_list_objects" time="7.00" timestamp="2021-02-12T14:19:12" />
    <testcase classname="SwiftObjects" id="0517a257-6cad-4c08-b428-708c777af127" name="list_objects_in_containers" time="4.85" timestamp="2021-02-12T14:19:20" />
    <testcase classname="SwiftObjects" id="195d505f-6c57-4926-82cf-ba6e6db1aedf" name="create_container_and_object_then_download_object" time="8.56" timestamp="2021-02-12T14:19:27" />
    <testcase classname="SwiftObjects" id="3d41a6b4-61cd-41d6-96e6-708d2c8eb535" name="create_container_and_object_then_delete_all" time="5.61" timestamp="2021-02-12T14:19:37" />
    <testcase classname="SwiftObjects" id="9afdf117-c3d4-4b79-a609-7ebad6002cf5" name="list_and_download_objects_in_containers" time="6.41" timestamp="2021-02-12T14:19:43" />
  </testsuite>
</testsuites>
